/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     create_whitelist.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  creates evdm.whitelist, a list of valid resourceTypes
  |
  |
  | Inputs    evdm libref
  |
  |
  | History:  Date    action
  |           05Apr17 Initial Coding                              snornb
  |           05SEP17 Commented out some metrics                  sasgzs
  |           06DEC17 Added application/application record        sasgzs
  |           16FEB18 Added notification/* records                sasgzs
  |
  | Future:
  | End
  +----------------------------------------------------------------+*/

data evdm.whitelist;
 length resource_category $16 resourcetype $32 metrictablename $32 etl_mname $32 update_cas $1 ;
  
  /* LOGS */
  update_cas="Y";
  resourcetype='log';resource_category='log'; etl_mname="logs_etl"; output;

  /* METRICS */  
  update_cas="Y";
  etl_mname="metric_etl2";

  resourcetype='cas';                      metrictablename='cas';resource_category='metric';output;
  resourcetype='cas_system';               metrictablename='cas_system';resource_category='metric';output;
  resourcetype='cas_node';                 metrictablename='cas_node';resource_category='metric';output;
/*  resourcetype='cas_system_process';       metrictablename='cas_system_process';resource_category='metric';output;        */
/*  resourcetype='cas_telemetry';       	   metrictablename='cas_telemetry';resource_category='metric';output;       */
/*  resourcetype='cas_telemetry_rankinfo';   metrictablename='cas_telemetry_rankinfo';resource_category='metric';output;    */
/*  resourcetype='cas_telemetry_node';  	   metrictablename='cas_telemetry_node';resource_category='metric';output;  */

  resourcetype='system';                   metrictablename='system';resource_category='metric';output;
  resourcetype='system_cpu_usage';         metrictablename='system_cpu_usage';resource_category='metric';output;
  resourcetype='system_filesystem';        metrictablename='system_filesystem';resource_category='metric';output;
  resourcetype='system_network_interface'; metrictablename='system_network_interface';resource_category='metric';output;
  resourcetype='system_process_usage';     metrictablename='system_process_usage';resource_category='metric';output;
  resourcetype='postgres';                 metrictablename='postgres';resource_category='metric';output;
  resourcetype='postgres_table_size';      metrictablename='postgres_table_size';resource_category='metric';output;
  resourcetype='rabbitmq';                 metrictablename='rabbitmq';resource_category='metric';output;
  resourcetype='rabbitmq_exchange';        metrictablename='rabbitmq_exchange';resource_category='metric';output;
  resourcetype='rabbitmq_node';            metrictablename='rabbitmq_node';resource_category='metric';output;
/* resourcetype='rabbitmq_queue';           metrictablename='rabbitmq_queue';resource_category='metric';output;             */
  resourcetype='rabbitmq_vhost';           metrictablename='rabbitmq_vhost';resource_category='metric';output;

/* resourcetype='system_cpu';               metrictablename='system_cpu';resource_category='metric';output;                 */
/* resourcetype='system_ulimit';            metrictablename='system_ulimit';resource_category='metric';output;              */
/* resourcetype='system_process';           metrictablename='system_process';resource_category='metric';output;             */
  
  
/* resourcetype='consul_check';             metrictablename='consul_check';resource_category='metric';output;               */
/* resourcetype='consul_service';           metrictablename='consul_service';resource_category='metric';output;             */
/* resourcetype='consul_telemetry';         metrictablename='consul_telemetry';resource_category='metric';output;           */

  
/* resourcetype='postgres_blocked';         metrictablename='postgres_blocked';resource_category='metric';output;           */
/* resourcetype='postgres_connection';      metrictablename='postgres_connection';resource_category='metric';output;        */
/* resourcetype='postgres_store';           metrictablename='postgres_store';resource_category='metric';output;             */
/* resourcetype='postgres_table_bloat';     metrictablename='postgres_table_bloat';resource_category='metric';output;       */
  
/* resourcetype='postgres_table_temp';      metrictablename='postgres_table_temp';resource_category='metric';output;        */
/* resourcetype='postgres_table_vacuum';    metrictablename='postgres_table_vacuum';resource_category='metric';output;      */
  
  
/* resourcetype='rabbitmq_binding';         metrictablename='rabbitmq_binding';resource_category='metric';output;           */
  
  
  resourcetype='springboot';               metrictablename='springboot';resource_category='metric';output;
/* resourcetype='springboot_endpoint';      metrictablename='springboot_endpoint';resource_category='metric';output;        */
 resourcetype='springboot_gauge';         metrictablename='springboot_gauge';resource_category='metric';output;           
 resourcetype='springboot_counter';       metrictablename='springboot_counter';resource_category='metric';output;         

  /* OTHER */
  etl_mname="dummy_etl";
  update_cas="N";
  resourcetype='notification';   resource_category='notification'; etl_mname="dummy_etl";output; 
  resourcetype='base';           resource_category='notification'; etl_mname="dummy_etl";output; 
  resourcetype='directed';       resource_category='notification'; etl_mname="dummy_etl";output; 
  resourcetype='directedMail';   resource_category='notification'; etl_mname="dummy_etl";output; 
  resourcetype='threshold';      resource_category='notification'; etl_mname="dummy_etl";output; 

  resourcetype='ledger';         resource_category='ledger';       etl_mname="dummy_etl";output;

  resourcetype='security';       resource_category='application';  etl_mname="dummy_etl"; output;
  resourcetype='resource';       resource_category='application';  etl_mname="dummy_etl"; output;
  resourcetype='application';    resource_category='application';  etl_mname="dummy_etl"; output;

run;
