/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     resetdm_cas.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  resets the CAS elements of the operational monitoring data mart
  |
  |
  | Inputs    CAS tables
  |
  |
  | History:  Date    action
  |           05Apr17 Initial Coding                              snornb
  |           
  | Future:
  | End
  +----------------------------------------------------------------+*/
/* This job resets the CAS elements of the operational monitoring data mart */

/* ATTEMPT TO LOCK THE DATA MART;   */
/* ABORT IF LOCK CANNOT BE OBTAINED */
%datamartlock(action=LOCK,abortonfail=Y);


/* check data mart is initialized   */
%confirm_datamart_init(abortonfail=Y);

%get_cas_session();

/* drop CAS tables from metric data CASLIB */

%drop_cas_tables(tablelistds=evdm.whitelist, 
                 caslib=&CASLIB_METRIC_DATA, 
                 table_var=resourcetype);


proc cas;
 %initIndex(caslib=&cas_search_caslib, indexname=&cas_search_idxname, schemafile=&schema_file);
 run;
quit;

%datamartlock(action=UNLOCK);

%exit_cas_session();

