/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     ziptsv.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  1. zip input and PROCESSED TSV file
  |           2. Delete zipped input TSV files
  |
  | Inputs    whitelist
  |           
  |
  | History:  Date    action
  |           10Jul17 Initial Coding                              frf  
  |           28Jul17 Added call to CONFIRM_DATAMART_INIT      sasgzs  
  | Future:
  | End 
  +----------------------------------------------------------------+*/

/* Initialize the status file       */
%ev_status_summary(phase=start);

/* ATTEMPT TO LOCK THE DATA MART;   */
/* ABORT IF LOCK CANNOT BE OBTAINED */
%datamartlock(action=LOCK,abortonfail=Y);


/* check data mart is initialized   */
%confirm_datamart_init(abortonfail=Y);


%ziptsv(cutoff=&zip_tsv_and_log_delete);

/* Append log data to the status file       */
%ev_status_summary(phase=update,type=ZipTSV);

%del_saslogs;

/* Append endtime and max RC to the status file       */
%ev_status_summary(phase=end);

/* RELEASE THE LOCK ON THE DATA MART   */
%datamartlock(action=RELEASE, abortonfail=Y);
