/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     add_extra_props.sas                                  |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro add_extra_props(resourceType=);

%if %upcase("&resourceType") eq %upcase("cas_node") %then
%do;
   %get_map_item(map=measurements_properties ,key=name ,varlength=256 );
   %get_map_item(map=measurements_properties ,key=serverType ,varlength=20 );
   %get_map_item(map=measurements_properties ,key=port ,varlength=6 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("postgres") %then
%do;
   %get_map_item(map=measurements_properties ,key=user ,varlength=64 );
   %get_map_item(map=measurements_properties ,key=dbname ,varlength=64 );
   %get_map_item(map=measurements_properties ,key=port ,varlength=6 );
   %get_map_item(map=measurements_properties ,key=host ,varlength=64 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("postgres_table_size") %then
%do;
   %get_map_item(map=measurements_properties ,key=schema ,varlength=64 );
   %get_map_item(map=measurements_properties ,key=name ,varlength=64 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("rabbitmq") %then
%do;
   %get_map_item(map=measurements_properties ,key=node ,varlength=256 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("rabbitmq_exchange") %then
%do;
   %get_map_item(map=measurements_properties ,key=name ,varlength=300 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("rabbitmq_node") %then
%do;
   %get_map_item(map=measurements_properties ,key=name ,varlength=300 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("rabbitmq_vhost") %then
%do;
   %get_map_item(map=measurements_properties ,key=name ,varlength=300 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("springboot") %then
%do;
   %get_map_item(map=measurements_properties ,key=serviceId ,varlength=300 );
   %get_map_item(map=measurements_properties ,key=serviceName ,varlength=300 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("springboot_counter") %then
%do;
   %get_map_item(map=measurements_properties ,key=serviceId ,varlength=300 );
   %get_map_item(map=measurements_properties ,key=serviceName ,varlength=300 );
   %get_map_item(map=measurements_properties,key=endpointPath,var=endpoint, varlength=300);
   %get_map_item(map=measurements_properties,key=statusCode, varlength=3);
%end;
%else%if %upcase("&resourceType") eq %upcase("springboot_gauge") %then
%do;
   %get_map_item(map=measurements_properties ,key=serviceId ,varlength=300 );
   %get_map_item(map=measurements_properties ,key=serviceName ,varlength=300 );
   %get_map_item(map=measurements_properties,key=endpointPath,var=endpoint, varlength=300);
%end;
%else
%if %upcase("&resourceType") eq %upcase("system") %then
%do;
   %get_map_item(map=measurements_properties ,key=cpucount ,varlength=6 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("system_cpu_usage") %then
%do;
   %get_map_item(map=measurements_properties ,key=cpucount ,varlength=6 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("system_filesystem") %then
%do;
   %get_map_item(map=measurements_properties ,key=mount ,varlength=64 );
   %get_map_item(map=measurements_properties ,key=path ,varlength=64 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("system_network_interface") %then
%do;
   %get_map_item(map=measurements_properties ,key=interfaceName ,varlength=16 );
%end;
%else
%if %upcase("&resourceType") eq %upcase("system_process_usage") %then
%do;
   %get_map_item(map=measurements_properties ,key=orderBy ,varlength=20 );
   %get_map_item(map=measurements_properties ,key=pid ,varlength=7 );
%end;

%mend add_extra_props;
