/***************************************************/
/* Copyright (c) 2014 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

%macro addtzoffvar(datetime=datetime,     /* name of the variable containing the datetime value     */
                   outvar=tzoneoff,       /* name of variable to contain the time zone offset value */
                   label=Time Zone Offset,/* label to assign to new variable                        */
                   hostvar=,              /* name of variable containing the hostname/resource id   */
                   form=SQL);             /* form of SAS statement (DATASTEP or SQL) to generate    */
                   
 %if "&form" eq "SQL" %then
 %do; /* generate SQL statements */
 
    case
     when(&datetime eq .) then .
     else tzoneoff(put(&hostvar,$GET_TZ.),&datetime) 
    end label="&label" as &outvar

 %end;/* generate SQL statements */
 %else
 %do; /* generate DATA STEP statements */
 
    attrib &outvar label="&label";

    if &datetime eq . then &outvar=.;
    else &outvar=tzoneoff(put(&hostvar,$GET_TZ.),&datetime);
    
 %end;/* generate DATA STEP statements */
 
%mend addtzoffvar; 