/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     alerts_defintions.sas                                |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro alerts_definitions(resourcetype=);
libname alerts "&alerts.";

/*                                                             */
/* One data step for each resourcetype.                        */
/*                                                             */


  %if %lowcase(&resourcetype) = filesystem %then %do;

data alerts.&resourcetype._definition;
  length resourcetype $20.;
  length testoperator $3. units $8.  warningvalue criticalvalue  8.   metricname $32. level $8.
                version programversion detailsversion $6. source $16. name program $32. detailstype $32. resourcetype $32.;
   testoperator='LT';
   metricname='percentfreebytes';
   units='percent';
   resourcetype='Filesystem';
   testoperator='LT';
   metricname='percentfreebytes';
   warningvalue=5.0;
   criticalvalue=2.0;
   units='percent';
    version='1';
    programversion='0.1';
    detailsversion='1.1';
    source='GREYMETL';
           level='ALERT';
    PROGRAM='thresholdingMacro.sas';
    detailstype='metricThresholds';
        name='Disk Space Check';
run;
%end;

libname alerts clear;

%mend alerts_definitions;
  /* %alerts_definitions(resourcetype=filesystem);;*/

