/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     appendIndex.sas                                      |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Appends data (either a CAS Table or a CSV file) to   |
   |           a CAS Search Index                                   |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
 
 
 %macro appendIndex(caslib=,      /* CASLIB of target CAS Search Index */
                    indexname=,   /* name of target CAS Search Index */
                    type=,        /* type of source data (CSV|DATA) */
                    file=,        /* name (inc. path) of source CSV file */
                    load_lib=,    /* LIBNAME of source SAS data set */
                    load_table=); /* name of source SAS data set */

  %emimacroinit();
  
  %if "%upcase(&type)" eq "CSV" %then %let input = %str(file= {name = "&file"});
  %else %let input = %str(table= {caslib="&load_lib", name="&load_table"});
  
  action appendindex status=s;
  param 
        &input
        index={caslib="&caslib" name="&indexname"};
run;
%mend appendIndex;
