/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     create_cas_formats.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  1. Creates CAS formats from EVDMFMTS
  |           
  |
  | Inputs    EVDMFMTS library
  |           
  |
  | History:  Date    action
  |           02Aud17 Initial Coding                              frf
  | 
  | Future:
  | End 
  +----------------------------------------------------------------+*/
%macro create_cas_formats;
proc format library=evdmfmts cntlout=work.fmts;
run;

proc format sessref=&_SESSREF_ casfmtlib="userformats1" cntlin=work.fmts;run;

cas &_SESSREF_  promotefmtlib
                   fmtlibname=userformats1
                   replace;

cas &_SESSREF_  savefmtlib
                   fmtlibname=userformats1                                               
                   table=userformats1 
                   caslib=Formats                 
                   replace;                  
                   quit;

run;
%mend create_cas_formats;