/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     del_saslogs.sas                                      |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Deletes SAS logs older than a file_retention which   |
   |           is specified in the autoexec                         |
   |                                                                |
   | History:  Date    action                                       |
   |           28Jul17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro del_saslogs;

/*                                              */
/* Find the log directory.                      */
/*                                              */

%let log_file=%sysfunc(getoption(log));

data _null_;
 log="&log_file";
	log_dir=scan(log,-1,'/');
	last=index(log,trim(log_dir));
	dir=substr(log,1,last-1);	
	call symput('log_dir',dir);
run;

/*                                              */
/* Delete files in this dir, older than cutoff  */
/* days, with this extension                    */
/*                                              */

%delete_files(dir=&log_dir, 
        	  cutoff=&zip_tsv_and_log_delete , 
          	   extension=saslog);

%mend del_saslogs;



