/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     deleteData.sas                                       |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Deletes data with the specified "batch identifier"   |
   |           from the CAS Search Index                            |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
 
 

%macro deleteData(caslib=,        /* CASLIB of target CAS Search Index */
                  indexname=,     /* name of target CAS Search Index */
                  batch_id=None); /* Batch identifier of documents to be deleted */

    %emimacroinit();
   
    %if "&batch_id"  ne "None" %then
    %do; /* batch-id provided */
   
        json_string = '[{"batchid": "'||"%trim(&batch_id)"||'"}]';

        action search.deletedocuments result=results status=s;
        param data=json_string index={'caslib'="&caslib" 'name' = "&indexname"};
        run;

        %check_results(status=s, results=results, message='Deleting data from the index' /* success_msg_level=logging.INFO */);
        
    %end;/* batch-id provided */
    %else
    %do; /* missing batch-id */
   
        /* logger.error('A batch_id value is required; no batch_id was provided.') */
              
       /* MISSING REQUIRED INFORMATION */
       /*    BATCH_ID                  */
      
       rc = 2
    %end;/* missing batch-id */
   
%mend deleteData;
