/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     deleteIndex.sas                                      |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Deletes the specified CAS Search Index; optionally   |
   |           deletes associated source tables, if they exist.     |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
%macro deleteIndex(caslib=,                  /* CASLIB of target CAS Search Index */
                   indexname=,               /* name of target CAS Search Index */
                   index_attr_suffix=,       /* suffix to add to CAS Search Index name to create name of associated attribute table */
                   delete_source_data=False);/* Flag (TRUE|FALSE) indicating if a saved version of the index should be deleted as well*/


    %emimacroinit();

    %let index_attr_table = &indexname.&index_attr_suffix;
    
    %dropTable(caslib=&caslib, table=&indexname);

    /*
    if rc == -1:
        logger.debug('Index table does not exist')
        rc = 0
    */
   
    %dropTable(caslib=&caslib, table=&index_attr_table);

    /*
    if rc2 == -1:
        logger.debug('Index attribute table does not exist')
        rc2 = 0
    */
   
    %if "&delete_source_data" eq "TRUE" %then
    %do;  /* delete source data */
   
        %deleteIndexSource(caslib=&caslib, table=&indexname..sashdat);
        run;
        
        %deleteIndexSource(caslib=&caslib, table=&index_attr_table..sashdat);
        run;
        
    %end; /* delete source data */
   /*
    else:
        rc3 = -1
        rc4 = -1
    return max(rc, rc2, rc3, rc4)
    */
%mend deleteIndex;
