/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     deleteIndexSource.sas                                |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Deletes the source table associated with a CAS table |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
 
%macro deleteIndexSource(caslib=,        /* CASLIB of target CAS source table*/
                         table=);        /* Name of the target CAS source table*/
 
    %emimacroinit();

    action table.deletesource result=results status=s;
    param caslib="&caslib" source="&table", quiet=True;
    run;

    %check_results(status=s, results=results, message=%str('Deleting index source table(s)'));
    run;
    
%mend deleteIndexSource;
