/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     dropTable.sas                                        |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Drops a loaded CAS table from memory                 |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
   
%macro dropTable(caslib=,        /* CASLIB of target CAS table*/
                 table=);        /* Name of the target CAS table*/

 %emimacroinit();

 %tableExists(caslib=&caslib,table=&table, rc=table_exists);
   
 if table_exists then
 do; /* table exists */

    action  table.droptable result=results status=s;
    param caslib="&caslib" name="&table";
 
    %check_results(results=results,status=s, message='Dropping table');

 end;/* table exists */
 else rc = -1; 

%mend dropTable;
