/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     ev_notify_evt.sas                                    |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro ev_notify_evt(out=,name=,msg=,src=,lev=,prop=) ;
  %local mname outstmt;
  %let mname=notify;
  %if "&out" ne "" %then %do;
     %if "%upcase(&out)" eq "STDOUT" %then %let outstmt=%str(out=STDOUT);
     %else %let outstmt=%str(out="&out");
  %end;
  %else %do;
     %everrmsg(&MNAME,msg=Missing proc json out file or fileref (consider STDOUT);
     %goto EXIT;
  %end;
  %if &evdebug gt 1 %then %do;
     %put (&MNAME) out=&out;
     %put name=&name;
     %put src=&src;
     %put prop=&prop;
  %end;
  proc json &outstmt. pretty nosastags ;
    write open object;
      write values "version" 1;
      write values "timestamp" "%sysfunc(putn(%sysfunc(tzones2u(%sysfunc(datetime()))),E8601dz32.6))";
      write values "level" "&lev";
      write values "name" "tsv-scan";
      write values "message" "log-search tsv-scanner";
      write values "source" "tsv-scan &src";
      write values "detailsType" "none";
      write values "detailsVersion" 1;
      write values "properties";            
      write open object;     
        write values "originMsgId" "&name";
        write values "originMessage" "&msg";
        write values "originSource" "&src";
        write values "source" "&prop";
      write close;                        
    write close;
  run;
  %EXIT:
%mend ev_notify_evt;
