/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     ev_status.sas                                    |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Aggregates results from actions. Actions could be    |
   |           CASUTIL(APPEND), CAS(SAVEINDEX), CALC_RATES etc      |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |           16MAy17 Append to WORK instead of evdm        frefor |
   |           15Sep17 Removed references to resourceTpe     frefor |
   |                   and resource_category. Added reference       |
   |                   to SYSERR, SYSLIBRC.                         |
   |                                                                |
   +----------------------------------------------------------------+*/
 

%macro ev_status(action=,);             /* Type of task (CASUTIL DATASTEP...)  */
                           
  data results;
  	length syscc sysrc sysinfo syserr syslibrc $8. action $32.;
		action=symget('action');
		syscc=symget('syscc');
		sysrc=symget('sysrc');
		sysinfo=symget('sysinfo');
		syserr=symget('syserr');
		syslibrc=abs(symget('syslibrc'));
		DATETIME=DATETIME();
 run;
 %let syscc=0;
 %let sysrc=0;

 proc append base=work.ev_status data=results;
 run;

%mend ev_status;
