/***************************************************/
/* Copyright (c) 2014 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

%macro evgetcutoff(limit=&retainMart);

 /* *********************************************** */
 /* This macro calculates a cutoff date based on    */
 /* the specified limit.  This cutoff date is the   */
 /* earliest date for which data should be kept as  */
 /* determined by the appropriate retention period, */
 /* and is based on today's date.                   */
 /*                                                 */
 /* Parameters:                                     */
 /*                                                 */
 /*   LIMIT    - The length of the retention period.*/
 /*                                                 */
 /* *********************************************** */
 


 data _null_;
  cutoff = cats("'",put((today()-&limit),date9.),":00:00'dt");
 
  call symputx("CUTOFF",cutoff,'G');
 run;

%mend evgetcutoff;