/***************************************************/
/* Copyright (c) 2014 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

/*+----------------------------------------------------------------+
  | Name:     evreportstatus.sas
  | Product:  SAS Environment Manager
  |
  | Language: SAS
  | Purpose:  
  | History:  Date    action
  |           15Jul13 Created for EV                            rnb
  | Future:
  | End
  +----------------------------------------------------------------+*/

%macro evreportstatus(dataset,message)
   local MNAME;
   %let MNAME=evreportstatu;

   %*********************************************************;
   %* Check results dataset exists and has obs;
   %*********************************************************;
   %if %sysfunc(exist(&outtable.)) or %sysfunc(exist(&outtable.,view)) 
   %then %do;
      %let _dsid = %sysfunc(open(&outtable.));
         %if "%sysfunc(attrn(&_dsid,NOBS))" = "0"
         %then %do;
           %put ***********************************************;
           %put (&MNAME) WARNING: Dataset &dataset. 0 obs. Halting;
           %put ***********************************************;
           %let rc = %sysfunc(close(&_dsid));
  	       %evnodatafound(&message);
           %goto EXIT;
         %end;
    %end;
    %else %do;
        %put ***************************************************;
        %put (&MNAME) ERROR: Dataset &dataset. missing. Halting;
        %put ***************************************************;
        %evnodatafound(&message);
        %goto EXIT;
    %end;
    
   %EXIT:
      %let rc = %sysfunc(close(&_dsid));       
%mend evreportstatus;