/***************************************************/
/* Copyright (c) 2014 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

%macro evsnaplivequery(who=N,df=N,top=N);

  filename who pipe 'who';   /* for windows: filename who pipe 'query session'; */
  filename df  pipe 'df';    /* for windows: filename df  pipe 'dir';  ???      */
  filename top pipe 'top';   /* for windows: filename top pipe 'top'   ???      */
 
  %macro readwrite(infile=,outfile=print);
  
     /* This utility macro reads in the specified infile */
     /* and writes it back out to the specified outfile. */
     /* This is a simple re-write/copy tool; no output   */
     /* data set is created, no specific file format is  */
     /* expected/supported.                              */
     
     data _null_;
      infile &infile;
      input;
      
      file &outfile;
      put _infile_;
     run;
     
  %mend readwrite;

  %if "&df" eq "Y" %then
  %do; /* run df command */
  
     %readwrite(infile=df);
     
  %end;/* run df command */
  
  %if "&top" eq "Y" %then
  %do; /* run top command */
  
     %readwrite(infile=top);
     
  %end;/* run top command */
  
  %if "&who" eq "Y" %then
  %do; /* run WHO command */
  
     %readwrite(infile=who);
     
  %end;/* run WHO command */

%mend evsnaplivequery;
