/***************************************************/
/* Copyright (c) 2014 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

%macro evvalidateinputs(caller=,ds=,varlist=,_rc=rc);
   %let &_rc=0;
   %if "&ds" EQ "" AND "&varlist" NE "" %then %do;
      %everrmsg(evvalidateinputs,msg=Cannot check variable existence without dataset [&ds]);
      %goto ERRLABEL;
   %end;
   
   %if &evdebug > 1 %then %put varlist [&varlist];
   %*********************************************************;
   %* Check valid dataset exists with Datetime and other requested variables;
   %*********************************************************;
   %if %sysfunc(exist(&ds.)) OR %sysfunc(exist(&ds,view)) 
      %then %do;
          %let _dsid = %sysfunc(open(&ds.));
          %do i=1 %to %num_tokens(&varlist.);
              %if &evdebug GT 1 %then %put &caller %scan(&varlist.,&i);
              %if not %sysfunc(varnum(&_dsid,%scan(&varlist.,&i.))) %then %do;
                 %if "%upcase(%scan(&varlist.,&i))" NE "TIME" %then %do;
                    %everrmsg(&caller,log=NO,msg=Variable <%scan(&varlist.,&i.)> missing from Dataset <&ds>.);
                    %let dsrc = %sysfunc(close(&_dsid));
                    %let &_rc=1;
                    %goto EXIT;
                 %end;
              %end; 
          %end;
          %let dsrc = %sysfunc(close(&_dsid));       
          %goto EXIT;
      %end;
      %else %do;
         %goto ERRLABEL;
      %end;

   %ERRLABEL:
      %let &_rc=1;
      %everrmsg(&caller,log=NO,msg=Dataset <&ds> missing.);
      
   %EXIT:

%mend evvalidateinputs;