/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     exit_cas_session.sas                                 |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Exits a CAS Session; either by disconnecting from it,|
   |           or terminating it.                                   |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |           28JUN17 Revised default session_name          sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro exit_cas_session(session_name=evmsvropsSess,  /* Name of CAS session to end */
                        exit_action=terminate);      /* How to exit the CAS session (TERMINATE|DISCONNECT) */

 %emimacroinit();

 cas &session_name &exit_action;

%mend exit_cas_session;
