/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     format_vars_for_cas.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Formats variables before writing to CAS 
  |
  |
  | Inputs    SAS table, variable to format, format name
  |
  |
  | History:  Date    action
  |           05Apr17 Initial Coding                              snornb
  |           
  | Future:
  | End
  +----------------------------------------------------------------+*/
%macro format_vars_for_cas(table=&resource,var=datetime,fmt=datetime22.);

proc datasets lib=work nolist;
	modify &table ;
	format &var &fmt ;
	quit;
run;


%mend format_vars_for_cas;
