/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     freq.sas                                             |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro casfreq(caslib=, indexname=, out_caslib=, out_table=__MATCHALL);

 proc cas;
  action search.searchIndex status = s result=results;
  param
      json='{"query":{"matchall":true}}'
      index={caslib="&caslib",name="&indexname"}
      casOut={caslib="&out_caslib",name="&out_table",replace=true}
      jsonOut=false;
  run;

  action simple.freq status = s result=results;
  param casOut={caslib="&caslib",name="__FREQ",replace=true}
        table={caslib="&caslib",name="MATCHALL",vars={{name="batchid",format="$",formattedLength=20.0}}};
  run;
 quit;

%mend casfreq;
