/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     get_status_filename.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Establishes FILENAME to write ETL status to 
  |
  |
  | Inputs    Macro variables EVDMPATH and SYSPROCESSNAME
  |
  |
  | History:  Date    action
  |           30Aug17 Initial Coding                              frefor
  |           
  | Future:
  | End
  +----------------------------------------------------------------+*/

%macro get_status_filename(FREF=ETLSTATS);

/*                                          */
/* File containing metrics for ETL process. */
/* Will be derived from the SYSPROCESSNAME. */
/* i.e etl_driver, rolloff, ziptsv etc      */
/*                                          */

%let pgm1=%substr(%scan(&sysprocessname,1,/,b),1,%eval(%index(%scan(&sysprocessname,1,/,b),.sas) -1));
%let status_file=%cmpres(&evdmpath./&pgm1..status);

filename &fref "&status_file";

%mend get_status_filename;