/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     inventory.sas                                        |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro inventory(action=,rec=,);
      %if %sysfunc(exist(aux.files_processed)) %then %do;%end;

      %else %do;
        data aux.files_processed;
         length  directory logfile $200. modfdt 8.;
        run;
      %end;

 /* %global injson_obs;   */
  %if &action=check %then %do;
   proc sort data=injson;by directory logfile;
   run;

/*                                                              */
/* Compare new_files to files_processed. If a record matches,   */
/* remove it from work.injson. Macro variable INJSON_OBS is     */
/* just a flag to indicate there is at least one valid file to  */
/* process.                                                     */
/*                                                              */
     %let injson_obs=0;
         data injson;
          drop pid hostname;
           merge aux.files_processed(in=in1) injson(in=in2);
           by directory logfile;
             if in1=0 and in2=1 then do;
               call symput('injson_obs','1');
               output;
             end;
         run;
  %end;


/*                                                             */
/* Add the new files processed to the inventory of processed   */
/* files.                                                       */
/*                                                             */

  %else %if &action=add %then %do;
   data good_one;
     rec=&rec;
     drop rec;
       set injson point=rec;
       output;
       stop;
   run;
    proc append base=aux.files_processed data=good_one;
    run;

  /*                                                         */
  /* Move the JSON file to the directory of processed files  */
  /* via a rename() function call.                           */
  /*                                                         */

/*
data _null_;set good_one;
  length old_name new_name $200.;
  old_name=left(trim(directory)) || '/' || left(trim(logfile));
  new_name="&processed_JSON" || left(trim(logfile));
   rename_rc=rename(old_name,new_name,'file') ;
run;
*/


  /*                                                         */
  /* Delete the JSON file with fdelete() function call       */  
  /*                                                         */


data _null_;set good_one;
  length old_name new_name $200.;
  old_name=left(trim(directory)) || '/' || left(trim(logfile));
  call symput('old_name',old_name);   
run;
filename src "&old_name";
%put Now deleting &old_name;
data _null_;
	rc=fdelete("src");
	put 'fdelete rc =' rc;
run;
filename src clear;

  %end;
%mend inventory;
