/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     isfalse.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Utility macro to test a macro variable to determine if
  |           its value represents a boolean false.  This macro provides
  |           a simple test for macro variables used as binary "flags".
  |
  |           It serves as a counterpoint to the istrue macro.  In fact,
  |           it calls that macro and reverses the value returned from it.
  |
  |           Character strings starting with a "T" or "Y" are interpreted
  |           as boolean "true" as are non-zero numeric values.  This
  |           macro returns a 1 for FALSE values and 0 for TRUE values.
  |
  | History:  Date    action
  |           14SEP17 Initial coding of current implementation   sasgzs
  |
  | Future:
  | End
  +----------------------------------------------------------------+*/

%macro isFalse(value);

 %if %isTrue(&value) %then 0;
 %else 1;

%mend isFalse;
