/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     istrue.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Utility macro to test a macro variable to determine if 
  |           its value represents a boolean true.  This macro provides
  |           a simple test for macro variables used as binary "flags".
  |
  |           Character strings starting with a "T" or "Y" are interpreted
  |           as boolean "true" as are non-zero numeric values.  This
  |           macro returns a 1 for true values and 0 for non-true values. 
  |
  | History:  Date    action
  |           14SEP17 Initial coding of current implementation   sasgzs
  |
  | Future:
  | End
  +----------------------------------------------------------------+*/

%macro isTrue(value);

 %if (%datatyp(&value)=NUMERIC) and &value ne 0 %then &value;
 %else %if (%substr(%upcase(%sysfunc(dequote(&value))),1,1) eq T or %substr(%upcase(%sysfunc(dequote(&value))),1,1) eq Y) %then 1;
 %else 0;

%mend isTrue;

