/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     load_properties.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Loads datamart specific properties from opsdm.properties
  |           and creates macro variables
  |
  | Inputs    
  |           
  |
  | History:  Date    action
  |           31Jul17 Initial Coding                              frf      
  | Future:
  | End 
  +----------------------------------------------------------------+*/
 
 %macro load_properties;
 
 /*                                                    */
 /* If opsdm.properties exist, create macro variables  */
 /* ZIP_TSV_AND_LOG_DELETE and CAS_CUTOFF instead of   */
 /* using the defaults from the autoexec.              */
 /*                                                    */
 
 
 %if %sysfunc(fileexist(&evdmpath./opsdm.properties)) %then %do;
 filename props "&evdmpath./opsdm.properties";
 data _null_;
 	infile props length=lv;	
 	length prop_name prop_value $32.;
 		input @1 props $varying256. lv; 		
 		prop_name=scan(props,1,':');
 		prop_value=scan(props,2,':'); 
			if prop_name = ' ' or prop_value= ' ' then do;
				%if &evdebug gt 1 %then %do;
					%PUT DEBUG: property name or property value is missing. Default not changed. ;
				%end;
				return;
			end;
 		call symput(prop_name,prop_value);
 run;
 
 %end; /*opsdm.properties exists */

 %mend load_properties;
 
 
 
 
 