/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     loadCSV.sas                                          |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Loads a CSV file into a CAS Table (uses PROC CASUTIL)|
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
%macro loadCSV(out_caslib=,             /* CASLIB of target CAS table */             
               out_table=,              /* name of target CAS table */
               file=,                   /* name (inc. path) of source CSV file */
               delimiter="09"x,         /* field delimiter in file */
               mode=append);            /* Load mode ([missing]|APPEND */

  %emimacroinit();

  proc casutil outcaslib=&out_caslib ;
   load file="&file" casout="&out_table" importoptions=(filetype="csv" delimiter=&delimiter getnames="true") &mode;
  quit;
   
%mend loadCSV;
