/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     loadTable.sas                                        |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Loads a CAS Table from a SASHDAT file                |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
%macro loadTable(caslib=,        /* CASLIB of CAS table to load from source */
                 table=,         /* name of CAS table to load from source*/
                 promote=False,  /* Flag (TRUE|FALSE); make table "global" */
                 replace=False); /* Flag (TRUE|FALSE); replace an existing table */

  
  %emimacroinit();

  action table.loadTable status = s result=results;
  param caslib="&caslib" 
        casOut={caslib="&caslib"  name="&table" replace="&replace"} 
        path= "&table..sashdat" 
        promote="&promote" ;
  run;

%mend loadTable;
