/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     matchall.sas                                         |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro matchall(caslib=,index=, outlib=, outtable=,replace=true,promote=false);

 %if "&outlib" eq "" %then %let outlib=&caslib;

 /* promote=true AND remote=true is NOT valid */ 

 proc cas;
   action searchindex result=r;
   param
        index={caslib="&caslib",name="&index"}
        json='{"query":{"matchall":true}}'
        jsonOut=false
       casOut={caslib="&outlib",name="&outtable",replace=&replace,promote=&promote};
   run;
 quit;

%mend matchall;
