/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     mparmvalidate.sas                                    |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro mparmvalidate(parm=,required=N, validvals=,rcvar=rc) / minoperator mindelimiter=',' ; 

  %if %upcase("&required") eq "Y" %then
  %do; /* check required parameter has a value */

     %if %bquote("&&&parm") eq %bquote("") %then %goto REQNOTSET;  
   	   
  %end;/* check required parameter has a value */

  %if %bquote("&&&parm") ne %bquote("") and %bquote("&validvals") ne %bquote("") %then
  %do; /* check for valid values */

     %if &&&parm in (&validvals) %then %goto EXITGOOD;
     %else %goto INVALIDVALUE;

  %end;/* check for valid values */

  %EXITGOOD:
  %let &rcvar=0;  
  %return;

  %REQNOTSET:
  %put DEBUG: REQUIRED VAR NOT SET;
  %let &rcvar=1;
  %return;

  %INVALIDVALUE:
  %put DEBUG: INVALID VALUE FOR &PARM SPECIFIED;
  %put DEBUG: VALID VALUES ARE: &validvals;
  %let &rcvar=1;
  %return;

%mend mparmvalidate;
