/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     read_view.sas                                        |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/

%macro read_view(start=,end=,outds=,path_to_view=,tsv_file_version=,);
libname xx "&path_to_view" access=readonly;

%let start_d=%sysfunc(datepart("&start"dt));
%let end_d=%sysfunc(datepart("&end"dt));

%do j=&start_d %to &end_d;

	%let tsv_file_date=%sysfunc(putn(&j,yymmddn8.));
	%put;
	%put Executing view for date=&tsv_file_date ;
	%put Extracting data in range &start to &end;
	%put ;
	data test;set xx.view_&tsv_file_date;
		where "&start"dt le datetime le "&end"dt;
	run;
	proc append base=&outds data=test;
	run;
	
%end;
libname xx clear;
%mend;


/*

%read_view(start=11may2017:00:37:00,
			 end=11may2017:18:37:00,
			 path_to_view=/opt/sas/viya/config/var/lib/emi/evdm/metric/system/,			
			 outds=mytable,
			 tsv_file_version=1.3.10);

 */
			 
