/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     saveTable.sas                                        |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Saves a CAS Table to the file location associated    |
   |           with the CASLIB                                      |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   

%macro saveTable(caslib=,        /* CASLIB of CAS table to load from source */
                 table=,         /* name of CAS table to load from source*/
                 replace=False); /* Flag (TRUE|FALSE); replace an existing table */

  %emimacroinit();
   
  action table.save status = s result=results; 
  param name="&table" caslib="&caslib"
        table={caslib="&caslib", name="&table"}
        replace="&replace";
          
    %check_results(status=s, results=results, message='Saving table');

%mend saveTable;
