/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     tableExists.sas                                      |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Determines whether the specified CAS table exists    |
   |           and/or is currently loaded                           |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
   
 

%macro tableExists(caslib=,        /* CASLIB of CAS table to load from source */
                   table=,         /* name of CAS table to load from source*/
                   rc=rc);         /* variable to use for return code */
                   
  %*emimacroinit();
   
  action table.tableExists status = s result=results;
  param caslib="&caslib" name="&table";

  &rc = results.exists;
  
%mend tableExists;
